corda / net.corda.node.services.config / NodeConfiguration

# NodeConfiguration

`interface NodeConfiguration : SSLConfiguration`

### Properties

baseDirectory | `abstract val baseDirectory: Path`
certificateSigningService | `abstract val certificateSigningService: URL`
certificatesDirectory | `open val certificatesDirectory: Path`
dataSourceProperties | `open val dataSourceProperties: Properties`
devMode | `abstract val devMode: Boolean`
emailAddress | `abstract val emailAddress: String`
exportJMXto | `abstract val exportJMXto: String`
myLegalName | `abstract val myLegalName: String`
nearestCity | `abstract val nearestCity: String`
networkMapService | `abstract val networkMapService: NetworkMapInfo?`
rpcUsers | `open val rpcUsers: List<User>`

### Inherited Properties

keyStoreFile | `open val keyStoreFile: Path`
keyStorePassword | `abstract val keyStorePassword: String`
trustStoreFile | `open val trustStoreFile: Path`
trustStorePassword | `abstract val trustStorePassword: String`

### Extension Functions

configureDevKeyAndTrustStores | `fun SSLConfiguration.configureDevKeyAndTrustStores(myLegalName: String): Unit`
configureWithDevSSLCertificate | `fun NodeConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.

### Inheritors

FullNodeConfiguration | `class FullNodeConfiguration : NodeConfiguration` baseDirectory is not retrieved from the config file but rather from a command line argument.